<?php


return  
    [
        'model' => [
            'model' => \Litecms\Deal\Models\Deal::class,
            'table' => 'litecms_deal_deals',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['buyers',  'sellers',  'seller_source',  'buyer_source',  'category_id',  'country_id',  'state_id',  'location_id',  'sublocation_id',  'property_id',  'ref',  'type',  'property_type',  'bua',  'plot',  'status',  'price',  'baths',  'plot_area',  'frequency',  'furnished',  'cheques',  'instalments',  'maintenance_fee',  'next_available',  'rent_start_date',  'rent_end_date',  'rera',  'payment_mode',  'deposit',  'deposit_percent',  'deal_date',  'unit_no',  'beds',  'street',  'floor',  'property_usage',  'notes',  'from_pool',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'deal/deal',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "buyers" => [
                "key" => "buyers", 
                "type" => "text", 
                "label" => 'deal::deal.label.buyers', 
                'sort' => true,
                'roles' => [],
            ],
            "sellers" => [
                "key" => "sellers", 
                "type" => "text", 
                "label" => 'deal::deal.label.sellers', 
                'sort' => true,
                'roles' => [],
            ],
            "seller_source" => [
                "key" => "seller_source", 
                "type" => "text", 
                "label" => 'deal::deal.label.seller_source', 
                'sort' => true,
                'roles' => [],
            ],
            "buyer_source" => [
                "key" => "buyer_source", 
                "type" => "text", 
                "label" => 'deal::deal.label.buyer_source', 
                'sort' => true,
                'roles' => [],
            ],
            "category_id" => [
                "key" => "category_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.category_id', 
                'sort' => true,
                'roles' => [],
            ],
            "country_id" => [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            "state_id" => [
                "key" => "state_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.state_id', 
                'sort' => true,
                'roles' => [],
            ],
            "location_id" => [
                "key" => "location_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.location_id', 
                'sort' => true,
                'roles' => [],
            ],
            "sublocation_id" => [
                "key" => "sublocation_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.sublocation_id', 
                'sort' => true,
                'roles' => [],
            ],
            "property_id" => [
                "key" => "property_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.property_id', 
                'sort' => true,
                'roles' => [],
            ],
            "ref" => [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'deal::deal.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            "type" => [
                "key" => "type", 
                "type" => "text", 
                "label" => 'deal::deal.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            "property_type" => [
                "key" => "property_type", 
                "type" => "text", 
                "label" => 'deal::deal.label.property_type', 
                'sort' => true,
                'roles' => [],
            ],
            "bua" => [
                "key" => "bua", 
                "type" => "text", 
                "label" => 'deal::deal.label.bua', 
                'sort' => true,
                'roles' => [],
            ],
            "plot" => [
                "key" => "plot", 
                "type" => "text", 
                "label" => 'deal::deal.label.plot', 
                'sort' => true,
                'roles' => [],
            ],
            "price" => [
                "key" => "price", 
                "type" => "text", 
                "label" => 'deal::deal.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            "baths" => [
                "key" => "baths", 
                "type" => "text", 
                "label" => 'deal::deal.label.baths', 
                'sort' => true,
                'roles' => [],
            ],
            "plot_area" => [
                "key" => "plot_area", 
                "type" => "text", 
                "label" => 'deal::deal.label.plot_area', 
                'sort' => true,
                'roles' => [],
            ],
            "frequency" => [
                "key" => "frequency", 
                "type" => "text", 
                "label" => 'deal::deal.label.frequency', 
                'sort' => true,
                'roles' => [],
            ],
            "furnished" => [
                "key" => "furnished", 
                "type" => "text", 
                "label" => 'deal::deal.label.furnished', 
                'sort' => true,
                'roles' => [],
            ],
            "cheques" => [
                "key" => "cheques", 
                "type" => "text", 
                "label" => 'deal::deal.label.cheques', 
                'sort' => true,
                'roles' => [],
            ],
            "instalments" => [
                "key" => "instalments", 
                "type" => "text", 
                "label" => 'deal::deal.label.instalments', 
                'sort' => true,
                'roles' => [],
            ],
            "maintenance_fee" => [
                "key" => "maintenance_fee", 
                "type" => "text", 
                "label" => 'deal::deal.label.maintenance_fee', 
                'sort' => true,
                'roles' => [],
            ],
            "next_available" => [
                "key" => "next_available", 
                "type" => "text", 
                "label" => 'deal::deal.label.next_available', 
                'sort' => true,
                'roles' => [],
            ],
            "rent_start_date" => [
                "key" => "rent_start_date", 
                "type" => "text", 
                "label" => 'deal::deal.label.rent_start_date', 
                'sort' => true,
                'roles' => [],
            ],
            "rent_end_date" => [
                "key" => "rent_end_date", 
                "type" => "text", 
                "label" => 'deal::deal.label.rent_end_date', 
                'sort' => true,
                'roles' => [],
            ],
            "rera" => [
                "key" => "rera", 
                "type" => "text", 
                "label" => 'deal::deal.label.rera', 
                'sort' => true,
                'roles' => [],
            ],
            "payment_mode" => [
                "key" => "payment_mode", 
                "type" => "text", 
                "label" => 'deal::deal.label.payment_mode', 
                'sort' => true,
                'roles' => [],
            ],
            "deposit" => [
                "key" => "deposit", 
                "type" => "text", 
                "label" => 'deal::deal.label.deposit', 
                'sort' => true,
                'roles' => [],
            ],
            "deposit_percent" => [
                "key" => "deposit_percent", 
                "type" => "text", 
                "label" => 'deal::deal.label.deposit_percent', 
                'sort' => true,
                'roles' => [],
            ],
            "deal_date" => [
                "key" => "deal_date", 
                "type" => "text", 
                "label" => 'deal::deal.label.deal_date', 
                'sort' => true,
                'roles' => [],
            ],
            "unit_no" => [
                "key" => "unit_no", 
                "type" => "text", 
                "label" => 'deal::deal.label.unit_no', 
                'sort' => true,
                'roles' => [],
            ],
            "beds" => [
                "key" => "beds", 
                "type" => "text", 
                "label" => 'deal::deal.label.beds', 
                'sort' => true,
                'roles' => [],
            ],
            "street" => [
                "key" => "street", 
                "type" => "text", 
                "label" => 'deal::deal.label.street', 
                'sort' => true,
                'roles' => [],
            ],
            "floor" => [
                "key" => "floor", 
                "type" => "text", 
                "label" => 'deal::deal.label.floor', 
                'sort' => true,
                'roles' => [],
            ],
            "property_usage" => [
                "key" => "property_usage", 
                "type" => "text", 
                "label" => 'deal::deal.label.property_usage', 
                'sort' => true,
                'roles' => [],
            ],
            "notes" => [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'deal::deal.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            "from_pool" => [
                "key" => "from_pool", 
                "type" => "text", 
                "label" => 'deal::deal.label.from_pool', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'buyers' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.buyers',
                "placeholder" => 'deal::deal.placeholder.buyers',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'sellers' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.sellers',
                "placeholder" => 'deal::deal.placeholder.sellers',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'seller_source' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.seller_source',
                "placeholder" => 'deal::deal.placeholder.seller_source',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'buyer_source' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.buyer_source',
                "placeholder" => 'deal::deal.placeholder.buyer_source',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'category_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.category_id',
                "placeholder" => 'deal::deal.placeholder.category_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'country_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.country_id',
                "placeholder" => 'deal::deal.placeholder.country_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'state_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.state_id',
                "placeholder" => 'deal::deal.placeholder.state_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'location_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.location_id',
                "placeholder" => 'deal::deal.placeholder.location_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'sublocation_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.sublocation_id',
                "placeholder" => 'deal::deal.placeholder.sublocation_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.property_id',
                "placeholder" => 'deal::deal.placeholder.property_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'ref' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.ref',
                "placeholder" => 'deal::deal.placeholder.ref',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.type',
                "placeholder" => 'deal::deal.placeholder.type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.property_type',
                "placeholder" => 'deal::deal.placeholder.property_type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bua' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.bua',
                "placeholder" => 'deal::deal.placeholder.bua',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'plot' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.plot',
                "placeholder" => 'deal::deal.placeholder.plot',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'price' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.price',
                "placeholder" => 'deal::deal.placeholder.price',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'baths' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.baths',
                "placeholder" => 'deal::deal.placeholder.baths',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'plot_area' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.plot_area',
                "placeholder" => 'deal::deal.placeholder.plot_area',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'frequency' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.frequency',
                "placeholder" => 'deal::deal.placeholder.frequency',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'furnished' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.furnished',
                "placeholder" => 'deal::deal.placeholder.furnished',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'cheques' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.cheques',
                "placeholder" => 'deal::deal.placeholder.cheques',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'instalments' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.instalments',
                "placeholder" => 'deal::deal.placeholder.instalments',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'maintenance_fee' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.maintenance_fee',
                "placeholder" => 'deal::deal.placeholder.maintenance_fee',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'next_available' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.next_available',
                "placeholder" => 'deal::deal.placeholder.next_available',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'rent_start_date' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'deal::deal.label.rent_start_date',
                "placeholder" => 'deal::deal.placeholder.rent_start_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'rent_end_date' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'deal::deal.label.rent_end_date',
                "placeholder" => 'deal::deal.placeholder.rent_end_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'rera' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.rera',
                "placeholder" => 'deal::deal.placeholder.rera',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'payment_mode' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.payment_mode',
                "placeholder" => 'deal::deal.placeholder.payment_mode',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'deposit' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.deposit',
                "placeholder" => 'deal::deal.placeholder.deposit',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'deposit_percent' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.deposit_percent',
                "placeholder" => 'deal::deal.placeholder.deposit_percent',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'deal_date' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'deal::deal.label.deal_date',
                "placeholder" => 'deal::deal.placeholder.deal_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'unit_no' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.unit_no',
                "placeholder" => 'deal::deal.placeholder.unit_no',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'beds' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.beds',
                "placeholder" => 'deal::deal.placeholder.beds',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'street' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.street',
                "placeholder" => 'deal::deal.placeholder.street',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'floor' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.floor',
                "placeholder" => 'deal::deal.placeholder.floor',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'property_usage' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'deal::deal.label.property_usage',
                "placeholder" => 'deal::deal.placeholder.property_usage',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'notes' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.notes',
                "placeholder" => 'deal::deal.placeholder.notes',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'from_pool' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.from_pool',
                "placeholder" => 'deal::deal.placeholder.from_pool',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'deal/deal/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'deal/deal/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'deal/deal',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'deal/deal',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'deal/deal',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'deal/deal',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'deal::deal.label.created_at',
            'name' => 'deal::deal.label.name',
            'status' => 'deal::deal.label.status',
        ],
        'groups' => [
            'main' => 'deal::deal.groups.main',
            'details' => 'deal::deal.groups.details',
            'images' => 'deal::deal.groups.images',
            'settings' => 'deal::deal.groups.settings',
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Deal',
            'module' => 'Deal',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Litecms\Deal\Models\Deal::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'count' => [
                                "element" => 'select',
                                "type" => 'select',
                                "label" => 'deal::deal.label.count',
                                "placeholder" => 'deal::deal.placeholder.count',
                                "options" => call_user_func(function () {
                                    return [
                                        1 => ['value' => 1, 'text' => 1],
                                        2 => ['value' => 2, 'text' => 2],
                                        3 => ['value' => 3, 'text' => 3],
                                        4 => ['value' => 4, 'text' => 4]
                                    ];
                                }),
                                "col" => "12",
                            ],
                            'comment' => [
                                "element" => 'textarea',
                                "type" => 'text',
                                "required" => 'required',
                                "label" => 'deal::deal.label.comment',
                                "placeholder" => 'deal::deal.placeholder.comment',
                                "col" => "12",
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'deal::deal.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['deal.deal.copy', 'deal.deal.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'deal::deal.label.count',
                        "placeholder" => 'deal::deal.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'deal::deal.label.comment',
                        "placeholder" => 'deal::deal.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'deal::deal.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
