<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsDealDealsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_deal_deals
         */
        Schema::create('litecms_deal_deals', function ($table) {
            $table->increments('id');
            $table->text('buyers')->nullable();
            $table->text('sellers')->nullable();
            $table->string('seller_source', 100)->nullable();
            $table->string('buyer_source', 100)->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('property_id')->nullable();
            $table->string('ref', 20)->nullable();
            $table->string('type', 100)->nullable();
            $table->string('property_type', 125)->nullable();
            $table->integer('bua')->nullable();
            $table->string('plot', 100)->nullable();
            $table->enum('status', [])->nullable();
            $table->decimal('price', 12,2)->nullable();
            $table->string('baths', 60)->nullable();
            $table->string('plot_area', 60)->nullable();
            $table->string('frequency', 60)->nullable();
            $table->string('furnished', 60)->nullable();
            $table->string('cheques', 60)->nullable();
            $table->integer('instalments')->nullable();
            $table->string('maintenance_fee', 80)->nullable();
            $table->string('next_available', 60)->nullable();
            $table->date('rent_start_date')->nullable();
            $table->date('rent_end_date')->nullable();
            $table->string('rera', 60)->nullable();
            $table->string('payment_mode', 100)->nullable();
            $table->decimal('deposit', 10,2)->nullable();
            $table->decimal('deposit_percent', 10,2)->nullable();
            $table->date('deal_date')->nullable();
            $table->string('unit_no', 100)->nullable();
            $table->string('beds', 100)->nullable();
            $table->string('street', 100)->nullable();
            $table->string('floor', 100)->nullable();
            $table->enum('property_usage', [])->nullable();
            $table->text('notes')->nullable();
            $table->tinyInteger('from_pool')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_deal_deals');
    }
}
