<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for deal in deal package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  deal module in deal package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Deal',
    'names' => 'Deals',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Deals',
        'sub' => 'Deals'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status'              => [],
            'property_usage'      => [],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'buyers'                     => 'Please enter buyers',
        'sellers'                    => 'Please enter sellers',
        'seller_source'              => 'Please enter seller source',
        'buyer_source'               => 'Please enter buyer source',
        'category_id'                => 'Please enter category id',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'property_id'                => 'Please enter property id',
        'ref'                        => 'Please enter ref',
        'type'                       => 'Please enter type',
        'property_type'              => 'Please enter property type',
        'bua'                        => 'Please enter bua',
        'plot'                       => 'Please enter plot',
        'status'                     => 'Please select status',
        'price'                      => 'Please enter price',
        'baths'                      => 'Please enter baths',
        'plot_area'                  => 'Please enter plot area',
        'frequency'                  => 'Please enter frequency',
        'furnished'                  => 'Please enter furnished',
        'cheques'                    => 'Please enter cheques',
        'instalments'                => 'Please enter instalments',
        'maintenance_fee'            => 'Please enter maintenance fee',
        'next_available'             => 'Please enter next available',
        'rent_start_date'            => 'Please select rent start date',
        'rent_end_date'              => 'Please select rent end date',
        'rera'                       => 'Please enter rera',
        'payment_mode'               => 'Please enter payment mode',
        'deposit'                    => 'Please enter deposit',
        'deposit_percent'            => 'Please enter deposit percent',
        'deal_date'                  => 'Please select deal date',
        'unit_no'                    => 'Please enter unit no',
        'beds'                       => 'Please enter beds',
        'street'                     => 'Please enter street',
        'floor'                      => 'Please enter floor',
        'property_usage'             => 'Please select property usage',
        'notes'                      => 'Please enter notes',
        'from_pool'                  => 'Please enter from pool',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'buyers'                     => 'Buyers',
        'sellers'                    => 'Sellers',
        'seller_source'              => 'Seller source',
        'buyer_source'               => 'Buyer source',
        'category_id'                => 'Category id',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'property_id'                => 'Property id',
        'ref'                        => 'Ref',
        'type'                       => 'Type',
        'property_type'              => 'Property type',
        'bua'                        => 'Bua',
        'plot'                       => 'Plot',
        'status'                     => 'Status',
        'price'                      => 'Price',
        'baths'                      => 'Baths',
        'plot_area'                  => 'Plot area',
        'frequency'                  => 'Frequency',
        'furnished'                  => 'Furnished',
        'cheques'                    => 'Cheques',
        'instalments'                => 'Instalments',
        'maintenance_fee'            => 'Maintenance fee',
        'next_available'             => 'Next available',
        'rent_start_date'            => 'Rent start date',
        'rent_end_date'              => 'Rent end date',
        'rera'                       => 'Rera',
        'payment_mode'               => 'Payment mode',
        'deposit'                    => 'Deposit',
        'deposit_percent'            => 'Deposit percent',
        'deal_date'                  => 'Deal date',
        'unit_no'                    => 'Unit no',
        'beds'                       => 'Beds',
        'street'                     => 'Street',
        'floor'                      => 'Floor',
        'property_usage'             => 'Property usage',
        'notes'                      => 'Notes',
        'from_pool'                  => 'From pool',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
