<?php

namespace Litecms\Deal\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Litecms\Deal\Http\Requests\DealActionsRequest;
use Litecms\Deal\Models\DealActions;

/**
 * Admin web controller class.
 */
class DealActionsController extends BaseController
{

    /**
     * Action controller function for deal.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(DealActionsRequest $request, $action)
    {
        try {
            $deal = DealActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('deal::deal.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('deal/deal/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('deal/deal/' . $action))
                ->redirect();
        }
    }
}
