<?php

namespace Litecms\Deal\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Litecms\Deal\Actions\DealReport;
use Litecms\Deal\Http\Requests\DealReportRequest;

/**
 * Admin web controller class.
 */
class DealReportController extends BaseController
{
    /**
     * Action controller function for deal.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(DealReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Deal::class);
            $data = DealReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('deal::deal.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('deal/deal/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('deal/deal/' . $report))
                ->redirect();
        }
    }
}
